%define upstream_name    Bio-Cluster
%define upstream_version 1.7.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Instantiates a new Bio::ClusterI (or derived class) through a factory
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Bio/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::AnnotatableI)
BuildRequires: perl(Bio::Annotation::Collection)
BuildRequires: perl(Bio::Annotation::DBLink)
BuildRequires: perl(Bio::Annotation::SimpleValue)
BuildRequires: perl(Bio::DescribableI)
BuildRequires: perl(Bio::Factory::ObjectFactory)
BuildRequires: perl(Bio::Factory::SequenceStreamI)
BuildRequires: perl(Bio::IdentifiableI)
BuildRequires: perl(Bio::Root::IO)
BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::Root::RootI)
BuildRequires: perl(Bio::Root::Test)
BuildRequires: perl(Bio::Seq::SeqFactory)
BuildRequires: perl(Bio::Species)
BuildRequires: perl(Bio::Variation::SNP)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::SAX)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Classes and modules here describe the basic structure for a cluster of
bioperl objects. For a more complete explanation, please see the interface
module the Bio::ClusterI manpage or the Bio::ClusterI-based implementations
for specific examples.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.7.3-4.mga9
+ Revision: 1811352
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.7.3-3.mga8
+ Revision: 1523025
- Mageia 8 Mass Rebuild

* Fri Feb 15 2019 tv <tv> 1.7.3-2.mga7
+ Revision: 1367393
- BR new Bio::Variation & reenable tests

* Fri Feb 15 2019 tv <tv> 1.7.3-1.mga7
+ Revision: 1367385
- imported package perl-Bio-Cluster


* Fri Feb 15 2019 Thierry Vignaud <tv@mageia.org> 1.7.3-1.mga7
- initial mageia release, generated with cpan2dist
